Subject: Re: [PATCH v2 5/7] powerpc/corenet: Add MDIO bus muxing support to the board device tree(s)

From: Emil Medve <[email-masked]>
Date: Thu, 31 Jul 2014 13:49:10 -0500

Hello Scott,

On 07/31/2014 01:30 PM, Scott Wood wrote:
> On Thu, 2014-07-31 at 00:48 -0500, Emil Medve wrote:
>> Hello Scott,
>>
>>
>> On 07/31/2014 12:28 AM, Scott Wood wrote:
>>> On Wed, 2014-07-30 at 23:35 -0500, Emil Medve wrote:
>>>> Hello Scott,
>>>>
>>>>
>>>> On 07/30/2014 09:30 PM, Scott Wood wrote:
>>>>> On Wed, 2014-07-30 at 16:52 -0500, Emil Medve wrote:
>>>>>>>>>> +			mdio0: mdio <at> fc000 {
>>>>>>>>>> +			};
>>>>>>>>>
>>>>>>>>> Why is the empty node needed?
>>>>>>>>
>>>>>>>> For the label
>>>>>>>
>>>>>>> For mdio-parent-bus, or is there some other dts layer that makes this
>>>>>>> node non-empty?
>>>>>>
>>>>>> 'powerpc/corenet: Create the dts components for the DPAA FMan' -
>>>>>> http://patchwork.ozlabs.org/patch/370872
>>>>>
>>>>> Why does this patch define the mdio0 label for mdio@e1120, but not
>>>>> define a label for any other node?
>>>>
>>>> Only MDIO controllers that are pinned out have these labels. Only pinned
>>>> out MDIO(s) are capable of controlling external PHY(s) via these board
>>>> level MDIO buses
>>>
>>> Is there any reason to describe non-pinned-out MDIO controllers at all?
>>
>> Yes. For the internal TBI PHY(s). Each MAC supporting SGMII has a TBI
>> PHY that is attached to the MDIO controller of the respective MAC
> 
> OK, so similar to eTSEC.  I didn't know if you were counting aTBI
> connection as being (partially) pinned out.
> 
>>> Is the lack of pinning out inherent to the silicon, or is it board
>>> design/config?
>>
>> It's a silicon level decision
> 
> So why is it the board file that adds the label, if it's always going to
> be the same node?

I guess we can move it

>>> I'm just curious why mdio@e1120 is labelled in a non-board dtsi while
>>> others are labelled elsewhere.
>>
>> Labels are relevant only in the context of 'powerpc/corenet: Add MDIO
>> bus muxing support to the board device tree(s)' -
>> http://patchwork.ozlabs.org/patch/370866. Most labels are created and
>> used in the board .dts file except b4qds.dtsi which is shared between
>> b4420qds.dts and b4860qds.dts
> 
> I'm talking about qoriq-fman-0-1g-0.dtsi, not b4qds.dtsi.  It labels
> mdio@e1120 as mdio0.

We missed that. Given the above, we'll leave it and remove it from the
board files

Cheers,

> In other words, why is the decision on where to label made differently
> for fman v3 than for previous fman versions?
> 
> -Scott